/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.graveng.rci.server.config;

import com.graveng.rci.util.Serializer;

/**
 * クライアントのIPアドレスに対する制限
 */
public class IpAddressConfig extends Serializer{

	/**
	 * パケットを暗号化するかの識別
	 */
	protected boolean encryptPacket;

	/**
	 * ユーザ認証を行うかの識別
	 */
	protected boolean userCertification;

	/**
	 * @return encryptPacket
	 */
	public boolean isEncryptPacket() {
		return encryptPacket;
	}
	/**
	 * @param encryptPacket セットする encryptPacket
	 */
	public void setEncryptPacket(boolean encryptPacket) {
		this.encryptPacket = encryptPacket;
	}
	/**
	 * @return userCertification
	 */
	public boolean isUserCertification() {
		return userCertification;
	}
	/**
	 * @param userCertification セットする userCertification
	 */
	public void setUserCertification(boolean userCertification) {
		this.userCertification = userCertification;
	}

}
