/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.graveng.rci.util;

import java.io.File;
import java.io.IOException;
import java.util.Collection;

import org.apache.commons.io.FileUtils;
import org.apache.commons.io.filefilter.FileFilterUtils;
//import org.apache.commons.io.filefilter.IOFileFilter;

public class FileUtil {
	public static File[] listFiles(File directory) {
		Collection<File> files = FileUtils.listFilesAndDirs(directory, FileFilterUtils.fileFileFilter(), FileFilterUtils.directoryFileFilter());

		File[] fileList = files.toArray(new File[0]);
		return fileList;
	}

	public static boolean isFile(String filepath) {
		File file = new File(filepath);
		return file.isFile();
	}

	public static byte[] loadFile(String filepath) throws IOException {
		return FileUtils.readFileToByteArray(new File(filepath));
	}

	public static void saveFile(String filepath, byte[] data) throws IOException {
		FileUtils.writeByteArrayToFile(new File(filepath), data);
	}

	// test
	public static void main(String[] args) {
		File file = new File("/Users/yamamoto/Desktop/yamamoto/MT4docs");


		File[] fileList = listFiles(file);

		for(int i = 0; i < fileList.length; i++) {
			System.out.println(fileList[i]);
		}
	}


}
