/*
 * Copyright (C) 2018 Gravity Engineering Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package example.test;

import com.graveng.rci.Packet;
import com.graveng.rci.client.Rci;
/**
 * GUIラッパークラスを遠隔実行しイベントを受けるクライアント側のサンプル
 */
public class Test2 {
	public static void main(String[] args) {
        String server = "localhost";
        int port = 5243; //サーバー側のポート番号

        Rci rci = new Rci();
        try {
			rci.connect(server, port);
			rci.authUser("山田太郎", "pass", "SHA-256", 0);

            Packet listenerSample = rci.invoke("new", "example.test.ListenerSample");
            listenerSample = rci.exec(listenerSample,  "showFrame");

            ClientKeyEvent cke = new ClientKeyEvent();
            ServerKeyEvent ske = new ServerKeyEvent();

            Class<?>[] paramTypes0 = {java.awt.event.KeyListener.class};
//            listenerSample = rci.registListener(listenerSample,  cke, "addKeyListener", ske);
            listenerSample = rci.registListener(listenerSample,  paramTypes0, cke, "addKeyListener", ske);

//            // インスタンスの破棄
//            rci.exec(listenerSample);

        } catch (Exception e) {
			e.printStackTrace();
		}
	}
}
